class CreateLndhubWalletJob < ApplicationJob
  queue_as :default

  def perform(user)
    return if user.ln_login.present? && user.ln_password.present?

    lndhub = Lndhub.new
    credentials = lndhub.create({ partnerid: user.ou, accounttype: "user" })

    user.update! ln_login: credentials["login"],
                 ln_password: credentials["password"]
  end
end
