class Admin::InvitationsController < Admin::BaseController
  def index
    @current_section = :invitations
    @invitations_unused_count = Invitation.unused.count
    @users_with_referrals_count = Invitation.used.distinct.count(:user_id)
    @invitations_used = Invitation.used.order('used_at desc')
  end
end
